package com.smppw.common.pojo.dto.calc;

import com.smppw.common.pojo.dto.CompoundRet;
import com.smppw.common.pojo.dto.DateValue;
import com.smppw.common.pojo.enums.TrendType;
import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class IndicatorCalcBenchmarkDataDto {

    /**
     * benchmarkId的净值序列
     */
    private List<DateValue> benchmarkNavList = new ArrayList<>();

    private List<DateValue> oriBenchmarkNavList = new ArrayList<>();

    /**
     * benchmarkId的回撤  key-指数ID, value指数的回撤
     */
    private List<DateValue> benchmarkDrawdown = new ArrayList<>();

    /**
     * benchmarkId的收益序列
     */
    private List<CompoundRet> benchmarkRetList = new ArrayList<>();

    /**
     *  benchmarkId的指标
     */
    private Map<String, String> benchmarkIndicatorValueMap = new HashMap<>();

    /**
     * 存放走势的结果集的map
     */
    private Map<TrendType, List<Double>> benchmarkTrendValueMap = new HashMap<>();
}
